## imcode.server.document
Class CopyableHashSet

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<E>
              java.util.HashSet
                  imcode.server.document.CopyableHashSet

All Implemented Interfaces:
  LazilyLoadedObject.Copyable, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.Set

    public class CopyableHashSet

extends java.util.HashSet
implements LazilyLoadedObject.Copyable

See Also:
  Serialized Form

Constructor Summary
`CopyableHashSet()`
`CopyableHashSet(java.util.Collection collection)`

Method Summary
`LazilyLoadedObject.Copyable` `copy()`

Methods inherited from class java.util.HashSet
`add, clear, clone, contains, isEmpty, iterator, remove, size`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

Constructor Detail

### CopyableHashSet

    public CopyableHashSet()

### CopyableHashSet

    public CopyableHashSet(java.util.Collection collection)

Method Detail

### copy

    public LazilyLoadedObject.Copyable copy()

  Specified by:
    `copy` in interface `LazilyLoadedObject.Copyable`